Up

# NSPersonNameComponentsFormatter class documentation

### Authors

Gregory Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

# Software documentation for the NSPersonNameComponentsFormatter class

## NSPersonNameComponentsFormatter : NSFormatter

> Declared in:
>   Foundation/NSPersonNameComponentsFormatter.h

Availability: MacOS-X 10.11.0
Description forthcoming.
Method summary

- +localizedStringFromPersonNameComponents:style:options:
- -annotatedStringFromPersonNameComponents:
- -getObjectValue:forString:errorDescription:
- -isPhonetic
- -personNameComponentsFromString:
- -setPhonetic:
- -setStyle:
- -stringFromPersonNameComponents:
- -style

### localizedStringFromPersonNameComponents: style: options:

+ (NSString*) localizedStringFromPersonNameComponents: (NSPersonNameComponents*)components style: (NSPersonNameComponentsFormatterStyle)nameFormatStyle options: (NSPersonNameComponentsFormatterOptions)nameOptions;
Availability: MacOS-X 10.11.0
Description forthcoming.

### annotatedStringFromPersonNameComponents:

- (NSAttributedString*) annotatedStringFromPersonNameComponents: (NSPersonNameComponents*)components;
Availability: MacOS-X 10.11.0
Description forthcoming.

### getObjectValue: forString: errorDescription:

- (BOOL) getObjectValue: (id*)obj forString: (NSString*)string errorDescription: (NSString**)error;
Availability: MacOS-X 10.11.0
Description forthcoming.

### isPhonetic

- (BOOL) isPhonetic;
Availability: MacOS-X 10.11.0
Description forthcoming.

### personNameComponentsFromString:

- (NSPersonNameComponents*) personNameComponentsFromString: (NSString*)string;
Availability: MacOS-X 10.11.0
Description forthcoming.

### setPhonetic:

- (void) setPhonetic: (BOOL)flag;
Availability: MacOS-X 10.11.0
Description forthcoming.

### setStyle:

- (void) setStyle: (NSPersonNameComponentsFormatterStyle)style;
Availability: MacOS-X 10.11.0
Description forthcoming.

### stringFromPersonNameComponents:

- (NSString*) stringFromPersonNameComponents: (NSPersonNameComponents*)components;
Availability: MacOS-X 10.11.0
Description forthcoming.

### style

- (NSPersonNameComponentsFormatterStyle) style;
Availability: MacOS-X 10.11.0
Description forthcoming.

Up